jdbm.helper

## Class FastIterator

- java.lang.Object
- - jdbm.helper.FastIterator

    public abstract class FastIterator
    extends Object

Fast and simple iterator.

Author:
  Alex Boisvert

### Constructor Summary

Constructors
Constructor and Description
`FastIterator()`

### Method Summary

Methods
`abstract Object` `next()` Returns the next element in the interation.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FastIterator

    public FastIterator()

### Method Detail

#### next

    public abstract Object next()
                         throws IterationException

Returns the next element in the interation.

Returns:
  the next element in the iteration, or null if no more element.
Throws:
  `IterationException`